%set_autoconf_version 2.13
%set_automake_version 1.4

Summary: SASL is the Simple Authentication and Security Layer
Name: cyrus-sasl
Version: 1.5.28
Release: alt1.3
Source0: %name-%version.tar.gz
Source1: sasldb
Source2: saslpasswd.conf
Patch0: cyrus-sasl-1.5.21-des.patch
Patch1: cyrus-sasl-1.5.24-external.patch
Patch2:	sasl-ldap+mysql-alt.patch

License: BSD
Group: System/Libraries

Prefix: %prefix
Requires: libsasl = %version-%release 
Requires: libMySQL libdb4.0 libssl zlib

BuildPreReq: autoconf_2.13 automake_1.4 libtool_1.4
# Automatically added by buildreq on Fri Oct 31 2003
BuildRequires: glibc-devel-static libMySQL-devel libdb2-devel libdb4.0-devel libkrb5-devel libpam0-devel zlib-devel



%description
SASL is the Simple Authentication and Security Layer,
a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating
a user to a server and for optionally negotiating protection of subsequent
protocol interactions. If its use is negotiated, a security layer is inserted
between the protocol and the connection.

%package -n libsasl
Summary: Librairies for SASL a the Simple Authentication and Security Layer
Group: System/Libraries
Requires: libMySQL 

%description -n libsasl
SASL is the Simple Authentication and Security Layer,
a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating
a user to a server and for optionally negotiating protection of subsequent
protocol interactions. If its use is negotiated, a security layer is inserted
between the protocol and the connection.

%package -n libsasl-devel
Summary: Librairies for SASL a the Simple Authentication and Security Layer
Group: Development/C
Requires: libsasl = %version-%release
Conflicts: libsasl2-devel

%description -n libsasl-devel
SASL is the Simple Authentication and Security Layer,
a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating
a user to a server and for optionally negotiating protection of subsequent
protocol interactions. If its use is negotiated, a security layer is inserted
between the protocol and the connection.

%package -n libsasl-devel-static
Summary: Static librairies for SASL a the Simple Authentication and Security Layer
Group: Development/C
Requires: libsasl-devel = %version-%release

%description -n libsasl-devel-static
SASL is the Simple Authentication and Security Layer,
a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating
a user to a server and for optionally negotiating protection of subsequent
protocol interactions. If its use is negotiated, a security layer is inserted
between the protocol and the connection.

%prep
%setup -q
#%patch0 -p1 
#%patch1 -p1
%patch2 -p1

%build
rm -f cmulocal/sasl2.m4
CPPFLAGS="-I/usr/include/krb5/gssapi $CPPFLAGS"
export LIBTOOL_VERSION="1.4"
export LDFLAGS="-L/usr/lib/krb5 $LDFLAGS" CPPFLAGS
%__autoconf
%configure 	--enable-static --enable-shared \
		--with-plugindir=%_libdir/sasl \
		--with-dblib=berkeley \
		--disable-krb4 \
		--enable-gssapi \
		--with-rc4 \
		--enable-anon \
		--enable-cram \
		--enable-plain \
		--enable-login \
		--with-mysql=/usr 
#		--with-ldap=/usr

#%make_build 
make

%install
%makeinstall 
mkdir -p $RPM_BUILD_ROOT%_includedir/sasl
mv -f $RPM_BUILD_ROOT%_includedir/*.h $RPM_BUILD_ROOT%_includedir/sasl/
mkdir -p $RPM_BUILD_ROOT%_sysconfdir
install -m0600 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir
install -m0600 %SOURCE2 $RPM_BUILD_ROOT%_libdir/sasl

%post -n libsasl -p /sbin/ldconfig

%postun -n libsasl -p /sbin/ldconfig

%files

%_sbindir/*
%_mandir/man8/*
%doc COPYING AUTHORS INSTALL NEWS README TODO doc/{draft*,*.html,*.txt}

%files -n libsasl
%config(noreplace) %attr(0640,root,root) %_sysconfdir/sasldb
%dir %_libdir/sasl
%_libdir/*.so.*
%_libdir/*/*.so.*
%_libdir/*/*.so
%config(noreplace) %_libdir/*/saslpasswd.conf

%files -n libsasl-devel
%dir %_includedir/sasl
%dir %_libdir/sasl
%_libdir/*.so
%_includedir/sasl/*
%_libdir/*.la
%_libdir/*/*.la
%_mandir/man3/*

%files -n libsasl-devel-static
%dir %_libdir/sasl
%_libdir/*.a
%_libdir/*/*.a

%changelog
* Mon Oct 27 2003 Victor V Ismakaev <ivv@altlinux.ru> 1.5.28-alt1.3
- rebuild with MySQL 4.0

* Wed Sep 17 2003 Victor V Ismakaev <ivv@altlinux.ru> 1.5.28-alt1.2
- rebuild without ldap,because cyrus-sasl 1.5.xx doesn't work with openldap 2.1

* Mon Jan 20 2003 Victor V Ismakaev <ivv@altlinux.ru> 1.5.28-alt1.1
- /etc/sasldb moved to libsasl for prevent unwanted messages "sasldb not found" in log files when
-    package cyrus-sasl is not installed
- added "noreplace" macro for /etc/sasldb and /usr/lib/sasl/saslpasswd.conf
- corrected file /etc/sasldb 

* Thu Jan 09 2003 Victor V Ismakaev <ivv@altlinux.ru> 1.5.28-alt1
- added Conflicts with libsasl2-devel

* Thu Dec 26 2002 Victor V Ismakaev <ivv@altlinux.ru> 1.5.28-alt0.1
- new version
- enabled gssapi support

* Wed Dec 25 2002 Victor V Ismakaev <ivv@altlinux.ru> 1.5.24-alt5.3
- moved libsasl.so from libsasl to libsasl-devel
- added set_automake_version

* Mon Dec 23 2002 Victor V Ismakaev <ivv@altlinux.ru> 1.5.24-alt5.2
- fixed %BuildRequires
- added set_autoconf_version

* Mon Dec 16 2002 Victor V Ismakaev <ivv@altlinux.ru> 1.5.24-alt5.1
- fixed %BuildRequires

* Thu Sep 05 2002 Victor V Ismakaev <ivv@altlinux.ru> 1.5.24-alt5
- added an /etc/sasldb file
- added an /usr/lib/sasl/saslpasswd.conf file
- lib*.so links moved to libsasl package
- lib*.la files moved to libsasl-devel package
- Summary: partialy fixed bug http://bugs.altlinux.ru/view_bug_page.php?f_id=0000415

* Fri Jun 14 2002 Victor V Ismakaev <ivv@altlinux.ru> 1.5.24-alt4
- some fixes in spec-file

* Thu Jun 13 2002 Victor V Ismakaev <ivv@altlinux.ru> 1.5.24-alt3
- added a patch for LDAP and MySQL autenticatication

* Fri May 04 2001 Rider <rider@altlinux.ru> 1.5.24-alt2
- move headers to include/sasl

* Fri May 04 2001 Rider <rider@altlinux.ru> 1.5.24-alt1
- first build for ALT Linux

* Fri Mar  9 2001 Vincent Saugey <vince@mandrakesoft.com> 1.5.24-2mdk
- Adding include file in devel package

* Mon Nov 27 2000 Vincent Saugey <vince@mandrakesoft.com> 1.5.24-1mdk
- First mdk release
